#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include <mmsystem.h>
#include <d3d9.h>
#include <d3dx9.h>

#define D3D_HEIGHTMAP_FVF_MY_VERTEX ( D3DFVF_XYZ | D3DFVF_DIFFUSE )

struct HMVertex
{
	float x, y, z; // Position of vertex in 3D space
    DWORD color;   // Color of vertex
};

class map
{
public:
	LPDIRECT3DVERTEXBUFFER9 g_pTriangleStrip_VB;
	LPDIRECT3DVERTEXBUFFER9 g_pTriangleStripGroup_VB[64];
	float heightmap[64][64];
	HMVertex g_triangleStrip[128];
	DWORD ColorLevels[33];

	~map();
	map(LPDIRECT3DDEVICE9 g_pd3dDevice, char* Filename);

};